Subject: CORRECTION: Web site on phytoplankton and microscopes

From: [email-masked] (Mahlon G. Kelly)
Date: Fri, 3 Nov 1995 07:23:39 GMT

I see that I stupidly posted the following last night, and then 
did not give the address of the web site. It is

http://www.comet.net/gek

Sorry.

I have finally put up our web site on phytoplankton and 
microscopes. Visitors, and their comments would be greatly 
appreciated. 

This is a commercial site, in that we are selling high quality 
Russian microscopes at very low prices. However, if that is not 
of interest to you, the phytoplankton stuff comes up first, with 
some very nice images of diatoms and dinoflagellates. You can 
skip the microscope stuff if you wish. However, we do have a 
pamphlet describing scopes and what to look for when buying one, 
not just our catalog and sales pitch. 

Mahlon Kelly,

GEK, Inc.

-- 
Associate Professor (Emeritus)
University of Virginia
[email-masked]